Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class MRTMPOriginConnection

    java.lang.Object
      org.red5.server.net.mrtmp.BaseMRTMPConnection
          org.red5.server.net.mrtmp.MRTMPOriginConnection

All Implemented Interfaces:
  IMRTMPConnection

    public class MRTMPOriginConnection

extends BaseMRTMPConnection

Author:
  Steven Gong (steven.gong@gmail.com)

Field Summary
`static String` | `ORIGIN_CONNECTION_KEY`

Constructor Summary
`MRTMPOriginConnection()`

Method Summary
`void` | `connect(int clientId)` Send connect message to other side

Methods inherited from class org.red5.server.net.mrtmp.BaseMRTMPConnection
`close, disconnect, getIoSession, setIoSession, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORIGIN_CONNECTION_KEY

    public static final String ORIGIN_CONNECTION_KEY

See Also:
  Constant Field Values

Constructor Detail

### MRTMPOriginConnection

    public MRTMPOriginConnection()

Method Detail

### connect

    public void connect(int clientId)

  Description copied from interface: `IMRTMPConnection`
  Send connect message to other side

  Specified by:
    `connect` in interface `IMRTMPConnection`
  Overrides:
    `connect` in class `BaseMRTMPConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project